JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
const albumInfo = await box.media.getAlbumInfo("Pictures");
console.log(`Album info: ${JSON.stringify(albumInfo, null, 2)}`);
const album = await box.media.getAlbum("Pictures");
const mediaInfo = await album.listMediaInfo();
console.log(`Media info: ${JSON.stringify(mediaInfo, null, 2)}`);
}
main();import os
from gbox_sdk import GboxSDK
def main():
# Initialize GboxSDK with API key from environment variable
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])
# Create an Android box for media operations
box = gbox_sdk.create(type="android")
# Get album information
album_info = box.media.get_album_info("Pictures")
print(f"Album info: {album_info}")
# Get album and list its media information
album = box.media.get_album("Pictures")
media_info = album.list_media_info()
print(f"Media info: {media_info}")
if __name__ == "__main__":
main()curl --request GET \
--url https://gbox.ai/api/v1/boxes/{boxId}/media/albums/{albumName} \
--header 'Authorization: Bearer <token>'{
"name": "Vacation Photos",
"path": "/sdcard/albums/vacation",
"lastModified": "2021-01-01T00:00:00Z",
"mediaCount": 15
}Media
Get album detail
Get detailed information about a specific album including its media files
GET
/
boxes
/
{boxId}
/
media
/
albums
/
{albumName}
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
const albumInfo = await box.media.getAlbumInfo("Pictures");
console.log(`Album info: ${JSON.stringify(albumInfo, null, 2)}`);
const album = await box.media.getAlbum("Pictures");
const mediaInfo = await album.listMediaInfo();
console.log(`Media info: ${JSON.stringify(mediaInfo, null, 2)}`);
}
main();import os
from gbox_sdk import GboxSDK
def main():
# Initialize GboxSDK with API key from environment variable
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])
# Create an Android box for media operations
box = gbox_sdk.create(type="android")
# Get album information
album_info = box.media.get_album_info("Pictures")
print(f"Album info: {album_info}")
# Get album and list its media information
album = box.media.get_album("Pictures")
media_info = album.list_media_info()
print(f"Media info: {media_info}")
if __name__ == "__main__":
main()curl --request GET \
--url https://gbox.ai/api/v1/boxes/{boxId}/media/albums/{albumName} \
--header 'Authorization: Bearer <token>'{
"name": "Vacation Photos",
"path": "/sdcard/albums/vacation",
"lastModified": "2021-01-01T00:00:00Z",
"mediaCount": 15
}Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Album name
Example:
"Pictures"
Response
200 - application/json
Album detail
Album representation
Name of the album
Example:
"Vacation Photos"
Full path to the album in the box
Example:
"/sdcard/albums/vacation"
Last modified time of the album
Example:
"2021-01-01T00:00:00Z"
Number of media files in the album
Example:
15
Was this page helpful?